## groovy.lang
Interface Interceptor

Method Summary
`Object` | `afterInvoke(Object object, String methodName, def arguments, Object result)` This code is executed before the method is optionally called.
`Object` | `beforeInvoke(Object object, String methodName, def arguments)` This code is executed before the method is optionally called.
`boolean` | `doInvoke()` This code is executed before the method is optionally called.

Method Detail

### afterInvoke

    public Object afterInvoke(Object object, String methodName, def arguments, Object result)

  This code is executed before the method is optionally called.
  param:
    object receiver object for the method call
  param:
    methodName name of the method to call
  param:
    arguments arguments to the method call
  return:
    any arbitrary result that replaces the result of the
  original method call only if doInvoke() returns false and afterInvoke() relays this result.

### beforeInvoke

    public Object beforeInvoke(Object object, String methodName, def arguments)

  This code is executed before the method is optionally called.
  param:
    object receiver object for the method call
  param:
    methodName name of the method to call
  param:
    arguments arguments to the method call
  return:
    any arbitrary result that replaces the result of the
  original method call only if doInvoke() returns false and afterInvoke() relays this result.

### doInvoke

    public boolean doInvoke()

  This code is executed before the method is optionally called.
  param:
    object receiver object for the method call
  param:
    methodName name of the method to call
  param:
    arguments arguments to the method call
  return:
    any arbitrary result that replaces the result of the
  original method call only if doInvoke() returns false and afterInvoke() relays this result.